ru.bitel.bgbilling.modules.voice.api.server.bean

## Class VoiceAccountTypeDao

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<B>
    - - ru.bitel.common.dao.AbstractIdDao<T>
      - - ru.bitel.bgbilling.modules.voice.api.server.bean.VoiceAccountTypeAbstractDao<VoiceAccountType>
        - - ru.bitel.bgbilling.modules.voice.api.server.bean.VoiceAccountTypeDao

- All Implemented Interfaces:
    java.lang.AutoCloseable, Directory<VoiceAccountType>

      public class VoiceAccountTypeDao
      extends VoiceAccountTypeAbstractDao<VoiceAccountType>

  Добавление/изменение, удаление типов аккаунтов в БД.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.modules.voice.api.server.bean.VoiceAccountTypeAbstractDao

      `isOperator`

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VoiceAccountTypeDao(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected VoiceAccountType` | `createAccountTypeInstance()`
    `protected java.lang.String` | `fields()`
    `protected VoiceAccountType` | `getFromRS(java.sql.ResultSet rs)`
    `protected int` | `setParams(VoiceAccountType type, java.sql.PreparedStatement ps, int idx)`

    - ### Methods inherited from class ru.bitel.bgbilling.modules.voice.api.server.bean.VoiceAccountTypeAbstractDao

      `get, list, updateImpl`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.bgbilling.kernel.directory.api.common.bean.Directory

      `delete, get, update`

- - ### Constructor Detail

    - #### VoiceAccountTypeDao

          public VoiceAccountTypeDao(java.sql.Connection con,
                                     int mid)

  - ### Method Detail

    - #### getFromRS

          protected VoiceAccountType getFromRS(java.sql.ResultSet rs)
                                        throws java.sql.SQLException,
                                               ru.bitel.bgbilling.common.BGException

      Overrides:
        `getFromRS` in class `VoiceAccountTypeAbstractDao<VoiceAccountType>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### createAccountTypeInstance

          protected VoiceAccountType createAccountTypeInstance()

      Specified by:
        `createAccountTypeInstance` in class `VoiceAccountTypeAbstractDao<VoiceAccountType>`

    - #### setParams

          protected int setParams(VoiceAccountType type,
                                  java.sql.PreparedStatement ps,
                                  int idx)
                           throws java.sql.SQLException

      Specified by:
        `setParams` in class `VoiceAccountTypeAbstractDao<VoiceAccountType>`
      Throws:
        `java.sql.SQLException`

    - #### fields

          protected java.lang.String fields()

      Specified by:
        `fields` in class `VoiceAccountTypeAbstractDao<VoiceAccountType>`